/* General Styles */
body {
    background-color: #EC2170;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    color: white;
    flex-direction: column;
}

h1 {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 0.5em;
}

h2 {
    text-align: center;
    font-size: 2em;
    margin-bottom: 1em;
}

h3 {
    text-align: center;
    margin-top: 1em;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgb(218, 18, 98);
    padding: 2em;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    width: 80%;
    max-width: 400px;
}

input[type="text"], input[type="password"], input[type="email"], select {
    width: 80%;
    padding: 1em;
    margin-bottom: 1em;
    border: none;
    border-radius: 5px;
    font-size: 1em;
}

input::placeholder {
    color: #999;
}

input:focus, select:focus {
    outline: none;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}

.submitButton {
    width: 80%;
    padding: 1em;
    background-color: #888;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 1.2em;
    cursor: pointer;
    transition: background-color 0.3s;
}

.submitButton:hover {
    background-color: #666;
}

a {
    color: #ffffff;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.error {
    color: #ff4c4c;
    background-color: #ffe6e6;
    padding: 0.5em;
    border-radius: 5px;
    text-align: center;
    margin-bottom: 1em;
}
